/* --- Section: Promo --- */
.promo-grid {
	display: flex;
	flex-wrap: wrap;
}

.promo-item {
	flex: 1;
	position: relative;
	display: block;
	min-width: 280px;
	min-height: 66vh;
	border: 1px solid #FFFFFF;
	background-color: #000;
	background-size: cover;
	background-position: center;
	text-decoration: none;
	transition: transform 0.3s ease;
}

.promo-item:hover { transform: scale(1.02); }

.promo-item::before {
	content: '';
	position: absolute;
	top: 0; left: 0; right: 0; bottom: 0;
	background-color: rgba(0, 0, 0, 0.15); 
	transition: background-color 0.3s ease;
}

.promo-item:hover::before { background-color: rgba(0, 0, 0, 0); }


/* =================================
	MEDIA QUERIES (RESPONSIVE)
	================================= */

/* --- Tampilan Tablet (Layar di bawah 1024px) --- */
@media (max-width: 1024px) {
	.promo-item { flex-basis: 50%; }
}

/* --- Tampilan Ponsel (Layar di bawah 768px) --- */
@media (max-width: 768px) {
	.promo-item {
		flex-basis: 100%;
		min-height: 50vh;
	}
	.promo-item { min-height: 55vh; }
}